<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title>Docs for page transaction_helpers.php</title>
			<link rel="stylesheet" href="../../media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
			<div class="page-body">			
<h2 class="file-name"><img src="../../media/images/Page_logo.png" alt="File" style="vertical-align: middle">/inc/transaction_helpers.php</h2>

<a name="sec-description"></a>
<div class="info-box">
	<div class="info-box-title">Description</div>
	<div class="nav-bar">
					<span class="disabled">Description</span> |
															<a href="#sec-functions">Functions</a>
			</div>
	<div class="info-box-body">	
		<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Functions to provide assistance when creating new transactions</p>
	<ul class="tags">
				<li><span class="field">author:</span> Andrew McMillan &lt;<a href="mailto:andrew@mcmillan.net.nz">andrew@mcmillan.net.nz</a>&gt;</li>
				<li><span class="field">copyright:</span> Morphoss Ltd &lt;http://www.morphoss.com/&gt;</li>
				<li><span class="field">license:</span> <a href="http://gnu.org/copyleft/gpl.html">GNU GPL v2 or later</a></li>
			</ul>
		
			</div>
</div>
		

	
	
	
	<a name="sec-functions"></a>	
	<div class="info-box">
		<div class="info-box-title">Functions</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
															<span class="disabled">Functions</span>
		</div>
		<div class="info-box-body">	
			<a name="functioncreate_newbatch" id="functioncreate_newbatch"><!-- --></a>
<div class="oddrow">
	
	<div>
		<img src="../../media/images/Function.png" />
		<span class="method-title">create_newbatch</span> (line <span class="line-number">20</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Create a new batch</p>
	<ul class="tags">
				<li><span class="field">return:</span> The batchcode for the created batch</li>
			</ul>
	<div class="method-signature">
		<span class="method-result">int</span>
		<span class="method-name">
			create_newbatch
		</span>
					(<span class="var-type">string</span>&nbsp;<span class="var-name">$batchtype</span>, <span class="var-type">float</span>&nbsp;<span class="var-name">$total</span>, <span class="var-type">string</span>&nbsp;<span class="var-name">$description</span>, <span class="var-type">int</span>&nbsp;<span class="var-name">$documentcount</span>)
			</div>

			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$batchtype</span><span class="var-description">: The type of batch - 'AUTO' or 'NORM'</span>			</li>
					<li>
				<span class="var-type">int</span>
				<span class="var-name">$documentcount</span><span class="var-description">: The number of documents in the batch</span>			</li>
					<li>
				<span class="var-type">float</span>
				<span class="var-name">$total</span><span class="var-description">: The total of the transactions in the batch</span>			</li>
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$description</span><span class="var-description">: The description of the batch</span>			</li>
				</ul>
		
	
</div>
<a name="functioncreate_newdocument" id="functioncreate_newdocument"><!-- --></a>
<div class="evenrow">
	
	<div>
		<img src="../../media/images/Function.png" />
		<span class="method-title">create_newdocument</span> (line <span class="line-number">40</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Create a new document in this batch</p>
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			create_newdocument
		</span>
					(<span class="var-type">string</span>&nbsp;<span class="var-name">$description</span>, <span class="var-type">string</span>&nbsp;<span class="var-name">$reference</span>, <span class="var-type">string</span>&nbsp;<span class="var-name">$documenttype</span>)
			</div>

			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$description</span><span class="var-description">: The description of the document</span>			</li>
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$reference</span><span class="var-description">: The reference for the document</span>			</li>
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$documenttype</span><span class="var-description">: The type of document 'INVC' or 'VCHR' or 'CHEQ' or such</span>			</li>
				</ul>
		
	
</div>
<a name="functioncreate_newtransaction" id="functioncreate_newtransaction"><!-- --></a>
<div class="oddrow">
	
	<div>
		<img src="../../media/images/Function.png" />
		<span class="method-title">create_newtransaction</span> (line <span class="line-number">63</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Create a new transaction in this batch</p>
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			create_newtransaction
		</span>
					(<span class="var-type">string</span>&nbsp;<span class="var-name">$et</span>, <span class="var-type">string</span>&nbsp;<span class="var-name">$ec</span>, <span class="var-type">string</span>&nbsp;<span class="var-name">$ac</span>, <span class="var-type">date</span>&nbsp;<span class="var-name">$date</span>, <span class="var-type">money</span>&nbsp;<span class="var-name">$amount</span>, [<span class="var-type">string</span>&nbsp;<span class="var-name">$description</span> = <span class="var-default">null</span>], [<span class="var-type">string</span>&nbsp;<span class="var-name">$reference</span> = <span class="var-default">null</span>], [<span class="var-type">int</span>&nbsp;<span class="var-name">$consequenceof</span> = <span class="var-default">0</span>], [<span class="var-type">int</span>&nbsp;<span class="var-name">$monthcode</span> = <span class="var-default">null</span>])
			</div>

			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$et</span><span class="var-description">: The entitytype for the transaction to apply against</span>			</li>
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$ec</span><span class="var-description">: The entitycode for the transaction to apply against</span>			</li>
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$ac</span><span class="var-description">: The accountcode for the transaction to apply against</span>			</li>
					<li>
				<span class="var-type">date</span>
				<span class="var-name">$date</span><span class="var-description">: The date of the transaction</span>			</li>
					<li>
				<span class="var-type">money</span>
				<span class="var-name">$amount</span><span class="var-description">: The value of the transaction</span>			</li>
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$description</span><span class="var-description">: The description for this transaction (default null means use document description)</span>			</li>
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$reference</span><span class="var-description">: The reference for this transaction (default null means use document reference)</span>			</li>
					<li>
				<span class="var-type">int</span>
				<span class="var-name">$consequenceof</span><span class="var-description">: This transaction is a consequence of some other transaction (default null)</span>			</li>
					<li>
				<span class="var-type">int</span>
				<span class="var-name">$monthcode</span><span class="var-description">: The month to post the transaction to (default to null, which means the month will be set on batch update)</span>			</li>
				</ul>
		
	
</div>
		</div>
	</div>
	
	<p class="notes" id="credit">
		Documentation generated on Fri, 24 Dec 2010 22:48:17 +1300 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.4.3</a>
	</p>
	</div></body>
</html>